<header class="header">
    <h3 class="o-form__section-headline">Organisationsdaten</h3>
</header>
<f:if condition="{renderMandatory}">
    <f:render arguments="{isCompany: 1}" partial="CourseregistrationFormLs/MandatoryHint"/>
</f:if>
<div class="o-form__item-group">
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="firma" name="firma"
                          required="required"
                          value="" tabindex="1"/>
        <label class="o-form__label" for="firma">Name Ihrer Organisation<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="strasse" name="strasse"
                          required="required"
                          value="" tabindex="2"/>
        <label class="o-form__label" for="strasse">Straße / Nr.<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-4 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="plz" name="plz" required="required"
                          value="" tabindex="3" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
        <label class="o-form__label" for="plz">PLZ<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-20 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="ort" name="ort" required="required"
                          value="" tabindex="4"/>
        <label class="o-form__label" for="ort">Stadt<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="company_email" name="company_email"
                          value="" tabindex="5" type="email"/>
        <label class="o-form__label" for="company_email">Mail</label>
    </div>
    <f:if condition="{settings.showBGField}">
        <f:then>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" id="company_bg_number" name="company_bg_number"
                                  value="" tabindex="6"/>
                <label class="o-form__label" for="company_bg_number">Unternehmensnr</label>
            </div>
            <f:if condition="{aCourseData.payers}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <label class="o-form__label o-form__label--select" for="company_payers">Kostenträger auswählen</label>
                    <f:form.select class="o-form__field o-form__field--select required" id="company_payers"
                                   name="company_payers" options="{aCourseData.payers}" tabindex="7"/>
                </div>
                <p class="tx-drk-courseregistrationform-txt-gray">
                    Die Gebühren werden der Gliederung/Organisation berechnet.<br/>
                    <strong>Achtung:</strong> Wenn die Abrechnung über eine Berufsgenossenschaft / Unfallkasse erfolgen
                    soll, dann müssen Sie die jeweilige BG/UK hier als Kostenträger auswählen!
                </p>
            </f:if>
        </f:then>
    </f:if>
</div>

<div class="o-form__item-group">
    <header class="header">
        <h3 class="o-form__section-headline">Ansprechpartner in Ihrer Organisation</h3>
    </header>
    <div class="o-form__item t-medium-12 columns">
        <label class="o-form__label o-form__label--select" for="anrede">Anrede<span class="nomust"></span></label>
        <f:form.select class="o-form__field o-form__field--select" id="anrede" name="contact_anrede"
                       options="{options_array.prefix}" tabindex="8"/>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <label class="o-form__label o-form__label--select" for="contact_titel">Titel<span class="nomust"></span></label>
        <f:form.select class="o-form__field o-form__field--select" id="titel" name="contact_titel"
                       options="{options_array.title}" tabindex="9"/>
    </div>
    <div class="o-form__item t-medium-12 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="vorname" name="contact_vorname"
                          required="required" value="" tabindex="10"/>
        <label class="o-form__label" for="vorname">Vorname<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="name" name="contact_name"
                          required="required" value="" tabindex="11"/>
        <label class="o-form__label" for="name">Nachname<span class="must">*</span></label>
        <f:form.textfield id="birthname" value="" name="contact_birthname" class="o-form__field o-form__field--text o-form__contact_birthname"  tabindex="-1" additionalAttributes="{autocomplete: 'off', aria-hidden: 'true'}"/>
        <label for="contact_birthname" class="o-form__label">Geburtsname</label>
    </div>
    <f:if condition="{aShowFields.Phone}">
        <f:if condition="{settings.Required.telefon}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="phone" name="contact_phone"
                                      required="required" type="tel"
                                      value="" tabindex="12" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="phone">Telefon<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="phone" name="contact_phone"
                                      value="" tabindex="13" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="phone">Telefon</label>
                </div>
            </f:else>
        </f:if>
    </f:if>

    <f:if condition="{aShowFields.Mobile}">
        <f:if condition="{settings.Required.mobile}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="mobile" name="contact_mobile"
                                      required="required" type="tel"
                                      value="" tabindex="14" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="mobile">Mobil<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="mobile" name="contact_mobile"
                                      value="" tabindex="14" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="mobile">Mobil</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="email" name="contact_email"
                          required="required" type="email"
                          value="" tabindex="15"/>
        <label class="o-form__label" for="email">Mail<span class="must">*</span></label>
    </div>
</div>
<header class="header">
    <h3 class="o-form__section-headline">Teilnehmerdaten</h3>
</header>
<p>Teilnehmeranmeldung für {aCourseData.service_desc}.</p>

<f:if condition="{number_subscriber} < {settings.minSubscribers}">
    <p>Es sind leider keine ausreichenden Plätze mehr vorhanden, sie werden jedoch auf die Warteliste gesetzt.</p>
</f:if>

<f:if condition="{settings.showOvernightStayField}">
    <f:if condition="{free_overnight_stay} > 0">
        <f:then><p>{free_overnight_stay} freie Übernachtungsplätze verfügbar.</p></f:then>
        <f:else><header class="header"><h4 class="o-form__section-headline">Keine Übernachtungsplätze mehr verfügbar.</h4></header></f:else>
    </f:if>
</f:if>

<f:for as="sub_num" each="{number_subscriber_array}"iteration="sub_iterator">
    <details <f:if condition="{sub_iterator.isFirst}">open</f:if>>
        <summary>
            {sub_iterator.cycle}. Teilnehmer
        </summary>
        <div class="o-form__item-group subscriber">
            <div class="o-form__item t-medium-5 columns">
                <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_anrede"
                               name="sub[{sub_num}][anrede]" options="{options_array.prefix}"/>
                <label class="o-form__label" for="sub{sub_num}_anrede">Anrede</span></label>
            </div>
            <div class="o-form__item t-medium-7 columns">
                <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_vorname" name="sub[{sub_num}][vorname]"
                                  value=""/>
                <label class="o-form__label" for="sub{sub_num}_vorname">Vorname</label>
            </div>
            <div class="o-form__item t-medium-7 columns">
                <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_name" name="sub[{sub_num}][name]"
                                  value=""/>
                <label class="o-form__label" for="sub{sub_num}_name">Nachname</label>
            </div>
            <div class="o-form__item t-medium-5 columns is-last-in-row">
                <f:form.textfield class="date o-form__field o-form__field--text" id="sub{sub_num}_geburtsdatum"
                                  name="sub[{sub_num}][geburtsdatum]" type="date" data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                <label class="o-form__label" for="sub{sub_num}_geburtsdatum">Geburtsdatum</label>
            </div>
            <f:if condition="{settings.showSubscriberAddress}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_street" name="sub[{sub_num}][street]"
                                      value=""/>
                    <label class="o-form__label" for="sub{sub_num}_street">Straße</label>
                </div>
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_zip" name="sub[{sub_num}][zip]"
                                      value="" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
                    <label class="o-form__label" for="sub{sub_num}_zip">PLZ</label>
                </div>
                <div class="o-form__item t-medium-8 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_city" name="sub[{sub_num}][city]"
                                      value=""/>
                    <label class="o-form__label" for="sub{sub_num}_city">Ort</label>
                </div>
            </f:if>
            <f:if condition="{aShowFields.Mail}">
                <f:if condition="{0: settings.Required.company_subscriber_mail, 2: sub_num} == {0: '1', 2: 1}">
                    <f:then>
                        <div class="o-form__item t-medium-8 columns">
                            <f:form.textfield class="o-form__field o-form__field--text sub-mail" id="sub{sub_num}_email" required="required"
                                              name="sub[{sub_num}][email]" type="email"/>
                            <label class="o-form__label" for="sub{sub_num}_email">Mail<span class="must">*</span></label>
                        </div>
                    </f:then>
                    <f:else>
                        <div class="o-form__item t-medium-8 columns">
                            <f:form.textfield class="o-form__field o-form__field--text sub-mail" id="sub{sub_num}_email"
                                              name="sub[{sub_num}][email]" type="email"/>
                            <label class="o-form__label" for="sub{sub_num}_email">Mail</label>
                        </div>
                    </f:else>
                </f:if>
            </f:if>
            <f:if condition="{aShowFields.Phone}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text sub-phone" id="sub{sub_num}_phone"
                                      name="sub[{sub_num}][phone]" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="sub{sub_num}_phone">Telefon</label>
                </div>
            </f:if>
            <f:if condition="{aShowFields.Mobile}">
                <div class="o-form__item t-medium-8 columns  is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text sub-mobile" id="sub{sub_num}_mobile"
                                      name="sub[{sub_num}][mobile]" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="sub{sub_num}_mobile">Mobil</label>
                </div>
            </f:if>
            <f:if condition="{settings.showBirthplaceField}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_birthplace"
                                      name="sub[{sub_num}][birthplace]"/>
                    <label class="o-form__label" for="sub{sub_num}_birthplace">Geburtsort</label>
                </div>
            </f:if>
            <f:if condition="{settings.showHonoraryField}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_honorary" name="sub[{sub_num}[honorary]"
                                   options="{options_array.honorary}"/>
                </div>
            </f:if>
            <f:if condition="{settings.showMemberField}">
                <div class="o-form__item t-medium-8 columns is-last-in-row">
                    <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_member" name="sub[{sub_num}][member]"
                                   options="{options_array.member}"/>
                </div>
            </f:if>
            <f:if condition="{settings.showOvernightStayField}">
                <div class="o-form__item t-medium-8 columns">
                    <f:if condition="{free_overnight_stay} >= {sub_num}">
                        <f:then>
                            <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_overnightstay"
                                           name="sub[{sub_num}][overnightstay]"
                                           options="{options_array.overnightstay}"/>
                        </f:then>
                        <f:else>keine Übernachtung</f:else>
                    </f:if>
                </div>
            </f:if>
            <f:if condition="{settings.showMealsField}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_meals"
                                   name="sub[{sub_num}][meals]" options="{options_array.meals}"/>
                </div>
            </f:if>
            <f:if condition="{settings.showOrderCodeField}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_ordercode"
                                      name="sub[{sub_num}][ordercode]"/>
                    <label class="o-form__label" for="sub{sub_num}_ordercode">Bestellnummer</label>
                </div>
            </f:if>
            <f:if condition="{settings.showQualificationField}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_qualifcation"
                                   name="sub[{sub_num}][qualifcation]" options="{options_array.qualifcation}"/>
                </div>
            </f:if>
            <f:if condition="{settings.showFunctionField}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_function"
                                      name="sub[{sub_num}][function]" />
                    <label class="o-form__label" for="sub{sub_num}_function">Funktion in Organisation / im Verband</label>
                </div>
            </f:if>
            <f:if condition="{settings.showNoteField}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textarea class="o-form__field o-form__field--textarea" cols="20" id="sub{sub_num}_note" name="sub[{sub_num}][note]"
                                     placeholder="Anmerkung"
                                     rows="4"/>
                </div>
            </f:if>
        </div>
    </details>
</f:for>
<f:if condition="{settings.Required.company_subscriber_mail}">
    <f:form.hidden name="requireCompanyMailField" id="requireCompanyMailField" value="{settings.Required.company_subscriber_mail}"/>
</f:if>
